package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
  描述:base_recharge_record的实体类
 */
public class RechargeRecord {
	private String id;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	private String serialNumber;
	private BigDecimal buyAmount;
	private Integer buyElectricity;
	private String buyType;
	private String roomId;
	private RoomInfo room;
	private RoomInfo building;
	private RoomInfo area;
	private String clientId;
	private String customerNo;
	private String transactionNumber;
	private String productTheme;
	private String paymentStatus;
	private String chargingStatus;
	private Date paymentTime;
	private String openId;
	private String errorLog;
	private Integer dumpEnergy;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取流水号
	 */
	public String getSerialNumber(){
		return serialNumber;
	}
	
	/**
	 *设置流水号
	 */
	public void setSerialNumber(String serialNumber){
		this.serialNumber = serialNumber;
	}
		/**
	 *获取充值金额
	 */
	public BigDecimal getBuyAmount(){
		return buyAmount;
	}
	
	/**
	 *设置充值金额
	 */
	public void setBuyAmount(BigDecimal buyAmount){
		this.buyAmount = buyAmount;
	}
		/**
	 *获取充值度数
	 */
	public Integer getBuyElectricity(){
		return buyElectricity;
	}
	
	/**
	 *设置充值度数
	 */
	public void setBuyElectricity(Integer buyElectricity){
		this.buyElectricity = buyElectricity;
	}
		/**
	 *获取支付类型:微信,支付宝,现金等
	 */
	public String getBuyType(){
		return buyType;
	}
	
	/**
	 *设置支付类型:微信,支付宝,现金等
	 */
	public void setBuyType(String buyType){
		this.buyType = buyType;
	}

	/**
	 *获取
	 */
	public String getClientId(){
		return clientId;
	}

	/**
	 *设置
	 */
	public void setClientId(String clientId){
		this.clientId = clientId;
	}
	/**
	 *获取户号
	 */
	public String getCustomerNo(){
		return customerNo;
	}

	/**
	 *设置户号
	 */
	public void setCustomerNo(String customerNo){
		this.customerNo = customerNo;
	}

	/**
	 *获取
	 */
	public String getRoomId(){
		return roomId;
	}

	/**
	 *设置
	 */
	public void setRoomId(String roomId){
		this.roomId = roomId;
	}


	/**
	 *获取交易号
	 */
	public String getTransactionNumber(){
		return transactionNumber;
	}

	/**
	 *设置交易号
	 */
	public void setTransactionNumber(String transactionNumber){
		this.transactionNumber = transactionNumber;
	}

	/**
	 *获取商品主题
	 */
	public String getProductTheme(){
		return productTheme;
	}

	/**
	 *设置商品主题
	 */
	public void setProductTheme(String productTheme){
		this.productTheme = productTheme;
	}

	/**
	 *获取支付状态
	 */
	public String getPaymentStatus(){
		return paymentStatus;
	}

	/**
	 *设置支付状态
	 */
	public void setPaymentStatus(String paymentStatus){
		this.paymentStatus = paymentStatus;
	}

	/**
	 *获取充电状态
	 */
	public String getChargingStatus(){
		return chargingStatus;
	}

	/**
	 *设置充电状态
	 */
	public void setChargingStatus(String chargingStatus){
		this.chargingStatus = chargingStatus;
	}

	/**
	 *获取支付时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	public Date getPaymentTime(){
		return paymentTime;
	}

	/**
	 *设置支付时间
	 */
	public void setPaymentTime(Date paymentTime){
		this.paymentTime = paymentTime;
	}

	/**
	 *获取
	 */
	public String getOpenId(){
		return openId;
	}

	/**
	 *设置
	 */
	public void setOpenId(String openId){
		this.openId = openId;
	}

	/**
	 *获取错误日志
	 */
	public String getErrorLog(){
		return errorLog;
	}

	/**
	 *设置错误日志
	 */
	public void setErrorLog(String errorLog){
		this.errorLog = errorLog;
	}



	/**
	 *获取
	 */
	public RoomInfo getRoom(){
		return room;
	}

	/**
	 *设置
	 */
	public void setRoom(RoomInfo room){
		this.room = room;
	}

	/**
	 *获取
	 */
	public RoomInfo getBuilding(){
		return building;
	}

	/**
	 *设置
	 */
	public void setBuilding(RoomInfo building){
		this.building = building;
	}

	/**
	 *获取
	 */
	public RoomInfo getArea(){
		return area;
	}

	/**
	 *设置
	 */
	public void setArea(RoomInfo area){
		this.area = area;
	}

	public Integer getDumpEnergy() {
		return dumpEnergy;
	}

	public void setDumpEnergy(Integer dumpEnergy) {
		this.dumpEnergy = dumpEnergy;
	}
}